#!/bin/sh

PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
export PATH

pkill motion.sh
if [ -e /mnt/usbhdd/sd-backup.tgz ]; then
  tar xzf /mnt/usbhdd/sd-backup.tgz -C /
  ln -s /mnt/sd2/sd-backup upd-link
else
  mount /dev/sda2 /mnt/usbhdd
  ln -s /mnt/usbhdd upd-link
fi
if [ `cat upd-link/etc/hostname.0` = "VPNpi1000" ]; then
  cp -p upd-link/etc/hostname /etc/
  cp -p upd-link/etc/hosts /etc/
  cp -p upd-link/home/pi/.ssh/id_rsa* /home/pi/.ssh/
  cp -p upd-link/home/pi/.ssh/authorized_keys /home/pi/.ssh/
  cp -a upd-link/home/echowear/.ssh /home/echowear/
  cp -p upd-link/home/echowear/autossh.sh /home/echowear/
  systemctl stop vpnserver.service
  sleep 3
  cp -p upd-link/usr/local/vpnserver/vpn_server.config /usr/local/vpnserver/
  rm /var/wctl/pwbox/vpn*
  if [ -e upd-link/var/wctl/pwbox ]; then
     cp -p upd-link/var/wctl/pwbox/vpn* /var/wctl/pwbox/
     cp -p upd-link/var/wctl/pwbox/* /var/wctl/post/
     rm /var/wctl/post/vpn*
  fi
  rm /mnt/sd2/private/VPNpi.cer
  rm /mnt/sd2/private/openvpn.zip
  if [ -e /var/wctl/pwbox/vpn0.txt ]; then
     systemctl start vpnserver.service
     sleep 3
     /usr/local/vpnserver/vpncmd /server localhost /password:`cat /var/wctl/pwbox/vpn0.txt` /out:/tmp/vpncmd.log /cmd OpenVpnMakeConfig openvpn.zip
     mv openvpn.zip /mnt/sd2/private/
     chmod 666 /mnt/sd2/private/openvpn.zip
     /usr/local/vpnserver/vpncmd /server localhost /password:`cat /var/wctl/pwbox/vpn0.txt` /cmd ServerCertGet VPNpi.cer
     mv VPNpi.cer /mnt/sd2/private/
     chmod 666 /mnt/sd2/private/VPNpi.cer
  fi
  cp -p /home/pi/.ssh/id_rsa* /mnt/sd2/private/
  chmod 666 /mnt/sd2/private/id_rsa*

  shutdown -r +1
fi
rm upd-link
umount /mnt/usbhdd

